﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9.8
@EndOfDesignText@
Sub Process_Globals
	Private fx As JFX
	Private xui As XUI
End Sub

Public Sub fill_cmbfont
	Dim fntlst As List = fx.GetAllFontFamilies
	For i = 0 To fntlst.Size -1
		Dim fntname As String = fntlst.Get(i)
		Main.cmbfont.Items.Add(fntname)
	Next
End Sub
Public Sub fill_cmbalign
	Dim alignlst As List = Array As String("TOP_LEFT","TOP_CENTER","TOP_RIGHT", _
										   "CENTER_LEFT","CENTER","CENTER_RIGHT", _
										   "BOTTOM_LEFT","BOTTOM_CENTER","BOTTOM_RIGHT", _
										   "BASELINE_LEFT","BASELINE_CENTER","BASELINE_RIGHT")
	For i = 0 To alignlst.Size -1
		Main.cmbalign.Items.Add(alignlst.Get(i))
	Next
End Sub
Public Sub get_font_index(strfont As String)  As Int
	Dim fntlst As List = fx.GetAllFontFamilies
	For i = 0 To fntlst.Size -1
		Dim fntname As String = fntlst.Get(i)
		If fntname = strfont Then Return i
	Next
	Return 0
End Sub
Public Sub get_align_index(stralign As String) As Int
	Dim alignlst As List = Array As String("TOP_LEFT","TOP_CENTER","TOP_RIGHT", _
										   "CENTER_LEFT","CENTER","CENTER_RIGHT", _
										   "BOTTOM_LEFT","BOTTOM_CENTER","BOTTOM_RIGHT", _
										   "BASELINE_LEFT","BASELINE_CENTER","BASELINE_RIGHT")
	For i = 0 To alignlst.Size -1
		If alignlst.Get(i) = stralign Then Return i
	Next
	Return 0
End Sub

Public Sub clrpick_ValueChanged (Value As Paint)
	If Main.currnode.IsInitialized = True Then
		Dim td As tagdata = Main.currnode.Tag
		td.backcolor = xui.PaintOrColorToColor(Value)
		CSSUtils.SetBackgroundColor(Main.currnode, Value)
		Main.currnode.Tag = td
		Log("clrpick_ValueChanged: " & Main.currnode.Tag)
	End If
End Sub
Public Sub spinthick_ValueChanged (Value As Object)
	If Main.currnode.IsInitialized = True Then
		Dim td As tagdata = Main.currnode.Tag
		td.brdthick = Value
		CSSUtils.SetBorder(Main.currnode,Value,Main.borderclr.SelectedColor,Main.spinradius.Value)
		Main.currnode.Tag = td
	End If
End Sub
Public Sub spinradius_ValueChanged (Value As Object)
	If Main.currnode.IsInitialized = True Then
		Dim td As tagdata = Main.currnode.Tag
		td.brdradius = Value
		CSSUtils.SetBorder(Main.currnode,Main.spinthick.Value,Main.borderclr.SelectedColor,Value)
		Main.currnode.Tag = td
	End If
End Sub
Public Sub borderclr_ValueChanged (Value As Paint)
	If Main.currnode.IsInitialized = True Then
		Dim td As tagdata = Main.currnode.Tag
		td.brdcolor = xui.PaintOrColorToColor(Value)
		CSSUtils.SetBorder(Main.currnode,Main.spinthick.Value,Value,Main.spinradius.Value)
		Main.currnode.Tag = td
	End If
End Sub
Public Sub cboxborder_CheckedChange(Checked As Boolean)
	If Main.currnode.IsInitialized = True Then
		If Checked Then
			Dim td As tagdata = Main.currnode.Tag
			'If td.IsInitialized Then
			CSSUtils.SetBorder(Main.currnode,0,fx.Colors.Black,0)
			td.noborder = True
			Main.currnode.Tag = td
			'End If
		Else
			Dim td As tagdata = Main.currnode.Tag
			'If td.IsInitialized Then
			CSSUtils.SetBorder(Main.currnode,td.brdthick,fx.Colors.From32Bit(td.brdcolor),td.brdradius)
			td.noborder = False
			Main.currnode.Tag = td
			'End If
		End If
		'Log("cbxborder_checkedChange" & td.noborder)
	End If
End Sub
Public Sub btnimgselect_Click
	If Main.currnode.IsInitialized = False Then Return
	Dim td As tagdata = Main.currnode.Tag
	Dim img As String = ""
	If td.imgurl <> Null Then
		img = Main.select_image
	Else
		img = Main.select_image
	End If
	If img <> "" Then
		CSSUtils.SetBackgroundImage(Main.currnode,Main.imagefilesfolder,img)
		td.imgurl = Main.imagefilesfolder & "/" & img
		Main.currnode.Tag = td
	End If
End Sub
Public Sub btnsettext_Click
	If Main.currnode.IsInitialized = False Then Return
	Dim td As tagdata = Main.currnode.Tag
	If td.id.Contains("Label") Then
		Dim albl As Label = Main.panemain.GetNode(td.count)
		Wait for(Main.get_new_text(albl)) Complete (Result As String)
		albl.Text = Result
	End If
End Sub
Public Sub btnimgremove_Click
	If Main.currnode.IsInitialized = True Then
		Dim td As tagdata = Main.currnode.Tag
		td.imgurl = ""
		CSSUtils.SetBackgroundImage(Main.currnode,Main.imagefilesfolder,"")
		Main.currnode.Tag = td
	End If
End Sub
Public Sub textclr_ValueChanged (Value As Paint)
	If Main.currnode.IsInitialized = True Then
		Dim td As tagdata = Main.currnode.Tag
		td.textcolor = xui.PaintOrColorToColor(Value)
		Main.currnode.TextColor = xui.PaintOrColorToColor(Value)
		Main.currnode.Tag = td
	End If
End Sub
Public Sub spinsize_ValueChanged (Value As Object)
	If Main.currnode.IsInitialized = True Then
		Dim td As tagdata = Main.currnode.Tag
		td.fontsize = Value
		CSSUtils.SetStyleProperty(Main.currnode,"-fx-font-size",Value)
		Main.currnode.Tag = td
	End If
End Sub
Public Sub cmbfont_ValueChanged (Value As Object)
	If Main.currnode.IsInitialized = True Then
		Dim td As tagdata = Main.currnode.Tag
		td.fontfamily = Value
		CSSUtils.SetStyleProperty(Main.currnode,"-fx-font-family",Value)
		Main.currnode.Tag = td
	End If
End Sub
Public Sub cmbfont_SelectedIndexChanged(Index As Int, Value As Object)
	If Main.currnode.IsInitialized = True Then
		Dim td As tagdata = Main.currnode.Tag
		td.fontfamily = Value
		CSSUtils.SetStyleProperty(Main.currnode,"-fx-font-family",Value)
		Main.currnode.Tag = td
	End If
End Sub
Public Sub cboxitalic_CheckedChange(Checked As Boolean)
	If Main.currnode.IsInitialized = True Then
		If Checked Then
			Dim td As tagdata = Main.currnode.Tag
			td.isitalic = "true"
			CSSUtils.SetStyleProperty(Main.currnode,"-fx-font-style","italic")
			Main.currnode.Tag = td
		Else
			Dim td As tagdata = Main.currnode.Tag
			td.isitalic = "false"
			CSSUtils.SetStyleProperty(Main.currnode,"-fx-font-style","normal")
			Main.currnode.Tag = td
		End If
	End If
End Sub
Public Sub cboxbold_CheckedChange(Checked As Boolean)
	If Main.currnode.IsInitialized = True Then
		If Checked Then
			Dim td As tagdata = Main.currnode.Tag
			td.isbold = "true"
			CSSUtils.SetStyleProperty(Main.currnode,"-fx-font-weight","bold")
			Main.currnode.Tag = td
		Else
			Dim td As tagdata = Main.currnode.Tag
			td.isbold = "false"
			CSSUtils.SetStyleProperty(Main.currnode,"-fx-font-weight","normal")
			Main.currnode.Tag = td
		End If
	End If
End Sub
Public Sub cmbalign_ValueChanged (Value As Object)
	If Main.currnode.IsInitialized = True Then
		Dim td As tagdata = Main.currnode.Tag
		If td.id.Contains("Label") Then
			td.alignment = Value
			Main.currlabel.Alignment = Value
			Main.currnode.Tag = td
		End If
	End If
End Sub
Public Sub cmbalign_SelectedIndexChanged(Index As Int, Value As Object)
	If Main.currnode.IsInitialized = True Then
		Dim td As tagdata = Main.currnode.Tag
		If td.id.Contains("Label") Then
			td.alignment = Value
			Main.currlabel.Alignment = Value
			Main.currnode.Tag = td
		End If
	End If
End Sub
