﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9.8
@EndOfDesignText@
Sub Process_Globals
	Private fx As JFX
	Private xui As XUI
End Sub

Public Sub add_new_pane
	Dim td As tagdata
	td.PressedX = 0
	td.PressedY = 0
	td.count = Main.nodecnt
	td.id = "Pane" & Main.nodecnt
	Dim newpnl As Pane
	newpnl.Initialize("pnl")
	newpnl.SetSize(100,50)
	newpnl.Top = 80		' top left corner	'panemain.Height - 60 => bottom left corner
	newpnl.Left = 20
	newpnl.Id = "Pane" & Main.nodecnt
	CSSUtils.SetBorder(newpnl,2,fx.Colors.Black,5)
	Dim red As Int = Rnd(150,250)
	Dim green As Int = Rnd(150,250)
	Dim blue As Int = Rnd(150,250)
	CSSUtils.SetBackgroundColor(newpnl, fx.Colors.ARGB(255,red,green,blue))
	td.brdthick = 2
	td.brdcolor = xui.PaintOrColorToColor(fx.Colors.Black)
	td.brdradius = 5
	td.backcolor = xui.PaintOrColorToColor(fx.Colors.ARGB(255,red,green,blue))
	td.noborder = False
	td.fontfamily = "Verdana"
	td.fontsize = 15
	td.isbold = "false"
	td.isitalic = "false"
	td.alignment = "TOP_LEFT"
	td.textcolor = xui.PaintOrColorToColor(fx.Colors.Black)
	td.imgurl = ""
	newpnl.Tag = td
	'newpnl = set_pane_contextmenu(newpnl)
	Main.panemain.AddNode(newpnl,newpnl.Left,newpnl.top,100,50)
	Main.nodecnt = Main.nodecnt + 1
End Sub
Public Sub add_canvas_node(strtype As String)
	Dim td As tagdata
	td.PressedX = 0
	td.PressedY = 0
	td.count = Main.nodecnt
	td.id = "Canvas" & Main.nodecnt
	Dim newpnl As Pane
	newpnl.Initialize("pnl")
	newpnl.SetSize(100,50)
	newpnl.Top = 80		' top left corner	'panemain.Height - 60 => bottom left corner
	newpnl.Left = 20
	newpnl.Id = "Pane" & Main.nodecnt
	td.brdthick = 0
	td.brdcolor = xui.PaintOrColorToColor(fx.Colors.Black)
	td.brdradius = 0
	td.backcolor = xui.PaintOrColorToColor(fx.Colors.ARGB(255,255,255,255))
	td.noborder = True
	td.fontfamily = "Verdana"
	td.fontsize = 15
	td.isbold = "false"
	td.isitalic = "false"
	td.alignment = "TOP_LEFT"
	td.textcolor = xui.PaintOrColorToColor(fx.Colors.Black)
	td.imgurl = ""
	td.drawing = strtype
	Main.panemain.AddNode(newpnl,newpnl.Left,newpnl.top,100,50)
	Main.nodecnt = Main.nodecnt + 1
	Dim pcnvs As B4XCanvas
	pcnvs.Initialize(newpnl)
	pcnvs.Resize(newpnl.PrefWidth,newpnl.PrefHeight)
	Select strtype
		Case "bitmap"
			Dim rect As B4XRect
			rect.Width = newpnl.PrefWidth
			rect.Height = newpnl.PrefHeight
			Dim bmp As Image
			bmp.Initialize(File.DirAssets, "sld11.png")		' default bitmap
			pcnvs.DrawBitmap(bmp, rect)
			Main.oldbitmapname = "sld11.png"
		Case "circle"
			pcnvs.DrawCircle((newpnl.PrefWidth/2),(newpnl.PrefHeight/2),(newpnl.PrefHeight/2)-(td.brdthick*3),xui.Color_Black,False,td.brdthick)
		Case "line"
			pcnvs.DrawLine(0,1,newpnl.prefWidth,1,xui.Color_Black,td.brdthick)
		Case "rectangle"
			Dim rect As B4XRect
			rect.Width = newpnl.PrefWidth
			rect.Height = newpnl.PrefHeight
			pcnvs.DrawRect(rect,xui.Color_Black,False,td.brdthick)
		Case "text"
			Dim fnt As B4XFont = fx.CreateFont(td.fontfamily,td.fontsize,td.isbold,td.isitalic)
			pcnvs.DrawText("This is a text!",newpnl.PrefWidth/2,newpnl.PrefHeight/2,fnt,xui.Color_Black,"CENTER")
	End Select
	pcnvs.Invalidate
	td.cnvs = pcnvs
	newpnl.Tag = td
End Sub

Public Sub resize_pane(ParentX As Double, ParentY As Double)
	Dim gap As Int = 5
	Dim minwidth As Int = Main.edgewidth * 4
	Dim minheight As Int = Main.edgewidth * 4
	If Main.resizing = True Then
		If Main.lxpos > 0 And Main.lypos > 0 Then
			If Main.xpress <= Main.edgewidth Then	' left edge
				If Main.lxpos > ParentX Then	' moving left
					If Main.currpane.Left - gap > 0 Then
						Main.currpane.Left = Main.currpane.Left - gap
						Main.currpane.prefWidth = Main.currpane.Width + gap
					End If
				Else	' moving right
					If Main.currpane.Width - gap > minwidth Then
						Main.currpane.Left = Main.currpane.Left + gap
						Main.currpane.prefWidth = Main.currpane.Width - gap
					End If
				End If
			End If
			If Main.xpress >= (Main.currpane.Width - Main.edgewidth) And Main.xpress < Main.currpane.Width Then	' right edge
				If Main.lxpos > ParentX Then	' moving left
					If Main.currpane.Width > minwidth Then
						Main.currpane.prefWidth = Main.currpane.Width - gap
						Main.xpress = Main.xpress - gap
					End If
				Else	' moving right
					If Main.currpane.Width + Main.currpane.Left < Main.panemain.Width Then
						Main.currpane.prefWidth = Main.currpane.Width + gap
						Main.xpress = Main.xpress + gap
					End If
				End If
			End If
			If Main.ypress <= Main.edgewidth Then	'top edge
				If Main.lypos > ParentY Then	' moving up
					If Main.currpane.Top - gap > 0 Then
						Main.currpane.Top = Main.currpane.Top - gap
						Main.currpane.prefHeight = Main.currpane.Height + gap
					End If
				Else	' moving down
					If Main.currpane.Height - gap > minheight Then
						Main.currpane.Top = Main.currpane.Top + gap
						Main.currpane.PrefHeight = Main.currpane.Height - gap
					End If
				End If
			End If
			If Main.ypress >= (Main.currpane.Height - Main.edgewidth) And Main.ypress < Main.currpane.Height Then	' bottom edge
				If Main.lypos > ParentY Then	' moving up
					If Main.currpane.Height > minheight Then
						Main.currpane.prefHeight = Main.currpane.Height - gap
						Main.ypress = Main.ypress - gap
					End If
				Else	'moving down
					If Main.currpane.Height + Main.currpane.Top < Main.panemain.Height Then
						Main.currpane.prefHeight = Main.currpane.Height + gap
						Main.ypress = Main.ypress + gap
					End If
				End If
			End If
		End If
	End If
	Dim td As tagdata = Main.currpane.Tag
	If td.drawing <> Null Then
		Dim td As tagdata = Main.currpane.Tag
		If td.drawing <> Null Then
			Dim ncnvs As B4XCanvas = td.cnvs
			ncnvs.ClearRect(ncnvs.TargetRect)
			ncnvs.Invalidate
		End If
		ncnvs.Initialize(Main.currpane)
		ncnvs.Resize(Main.currpane.PrefWidth,Main.currpane.PrefHeight)
		Select td.drawing
			Case "bitmap"
				Dim fname As String = td.imgurl.SubString(td.imgurl.LastIndexOf("/")+1)
				If Main.oldbitmapname <> fname Then
					Dim rect As B4XRect
					rect.Width = Main.currpane.PrefWidth
					rect.Height = Main.currpane.PrefHeight
					Dim bmp As Image
					If td.imgurl <> "" Then
						bmp.Initialize(Main.imagefilesfolder, fname)
						Main.oldbitmapname = fname
					Else
						bmp.Initialize(File.DirAssets, "sld11.png")
					End If
					ncnvs.DrawBitmap(bmp, rect)
				End If
			Case "circle"
				ncnvs.DrawCircle(Main.currpane.PrefWidth/2,Main.currpane.PrefHeight/2,(Main.currpane.PrefHeight/2)-(td.brdthick*3),td.brdcolor,False,td.brdthick)
			Case "line"
				ncnvs.DrawLine(0,0,Main.currpane.prefWidth,0,td.brdcolor,td.brdthick)
			Case "rectangle"
				Dim rect As B4XRect
				rect.Width = Main.currpane.PrefWidth
				rect.Height = Main.currpane.PrefHeight
				ncnvs.DrawRect(rect,td.brdcolor,False,td.brdthick)
			Case "text"
				Dim fnt As B4XFont = fx.CreateFont(td.fontfamily,td.fontsize,td.isbold,td.isitalic)
				ncnvs.DrawText("This is a text!",Main.currpane.PrefWidth/2,Main.currpane.PrefHeight/2,fnt,td.textcolor,"CENTER")
		End Select
		ncnvs.Invalidate
		td.cnvs = ncnvs
	End If
End Sub

Public Sub load_pane(td As tagdata,valuesmap As Map)
	Dim newpnl As Pane
	newpnl.Initialize("pnl")
	newpnl.Top = valuesmap.Get("top")
	newpnl.Left = valuesmap.Get("left")
	newpnl.prefwidth = valuesmap.Get("width")
	newpnl.prefheight = valuesmap.Get("height")
	' color and border settings from td!
	td.noborder = valuesmap.Get("noborder")
	newpnl.Tag = td
	newpnl.Id = td.id
	CSSUtils.SetBorder(newpnl,td.brdthick,fx.Colors.From32Bit(td.brdcolor),td.brdradius)
	CSSUtils.SetBackgroundColor(newpnl, fx.Colors.From32Bit(td.backcolor))
	If td.imgurl <> "" Then
		Dim folder As String = td.imgurl.SubString2(0,td.imgurl.LastIndexOf("/"))
		Dim fname As String = td.imgurl.SubString(td.imgurl.LastIndexOf("/")+1)
		CSSUtils.SetBackgroundImage(newpnl,folder,fname)
	End If
	Main.panemain.AddNode(newpnl,newpnl.Left,newpnl.Top,newpnl.prefWidth,newpnl.prefHeight)
End Sub

Public Sub attach_node_to_pane
	If Main.currnode.IsInitialized Then
		detach_node_from_pane
		Dim td1 As tagdata = Main.currnode.Tag
		If td1.id.Contains("Pane") Then
			Dim pn As Pane = Main.currnode
		Else
			Return
		End If
		For Each nod As Node In Main.panemain.GetAllViewsRecursive
			If nod.Tag <> "" Then
				Dim td As tagdata = nod.Tag
				If td.id.Contains("Label") Then
					Dim lbl As Label = nod
					If lbl.Left >= pn.Left And lbl.Top >= pn.Top Then
						If lbl.Left+lbl.Width <= pn.Left+pn.Width And lbl.Top+lbl.Height <= pn.Top+pn.Height Then
							pn.AddNode(lbl,lbl.Left-pn.Left,lbl.Top-pn.Top,lbl.PrefWidth,lbl.PrefHeight)
							td.parent = td1.id
						End If
					End If
				End If
			End If
		Next
		' do a re-count to allow the removal of other components with the correct count value
		Main.nodecnt = 0
		For Each nod As Node In Main.panemain.GetAllViewsRecursive
			If nod.Tag <> "" Then
				Dim td2 As tagdata = nod.Tag
				'Log("re-count" & td2)
				If td2.parent = Null Then
					td2.count = Main.nodecnt
					nod.Tag = td2
					Main.nodecnt = Main.nodecnt + 1
				End If
			End If
		Next
		'
	End If
End Sub
Public Sub detach_node_from_pane
	If Main.currnode.IsInitialized Then
		For Each nod As Node In Main.panemain.GetAllViewsRecursive
			If nod.Tag <> "" Then
				Dim td As tagdata = nod.Tag
				If td.id.Contains("Label") Then
					Dim lbl As Label = nod
					If lbl.Parent <> Main.panemain Then
						Main.panemain.AddNode(lbl,lbl.Left,lbl.Top,lbl.PrefWidth,lbl.PrefHeight)
						td.parent = Null
					End If
				End If
			End If
		Next
	End If
End Sub

Private Sub pnl_MouseClicked(EventData As MouseEvent)
	Dim view As B4XView = Sender
	Main.currpane = view
	Main.show_component_info(view)
	Main.currnode = view
End Sub
Private Sub pnl_MouseDragged (EventData As MouseEvent)
	Main.panepressed = True
	Dim view As B4XView = Sender
	Dim td As tagdata = view.Tag
	Dim ParentX As Int = EventData.X + view.Left
	Dim ParentY As Int = EventData.Y + view.Top
	If Main.resizing = False Then
		view.Left = ParentX - td.PressedX
		view.Top = ParentY - td.PressedY
		If view.Left < 0 Then view.Left = 0
		If view.Top < 0 Then view.Top = 0
		If view.Left + view.Width > Main.panemain.Width Then view.Left = Main.panemain.Width - view.Width
		If view.top + view.Height > Main.panemain.Height Then view.top = Main.panemain.Height - view.Height
	Else
		view.As(Pane).MouseCursor = fx.Cursors.CLOSED_HAND
		CSSUtils.SetBorder(view,10,fx.Colors.Blue,0)
	End If
	Main.currpane = view
	Main.currnode = view
End Sub
Private Sub pnl_MouseEntered (EventData As MouseEvent)
End Sub
Private Sub pnl_MouseExited (EventData As MouseEvent)
	Main.panepressed = False
	Dim view As B4XView = Sender
	view.As(Pane).MouseCursor = fx.Cursors.MOVE
	Main.set_border(view)
End Sub
Private Sub pnl_MousePressed (EventData As MouseEvent)
	Main.panepressed = True
	Dim view As B4XView = Sender
	Dim td As tagdata = view.Tag
	td.PressedX = EventData.X
	td.PressedY = EventData.Y
	view.Tag = td
	Main.xpress = EventData.X
	Main.ypress = EventData.Y
	If td.PressedX <= Main.edgewidth Or td.PressedX >= view.Width - Main.edgewidth  Then Main.resizing = True
	If td.PressedY <= Main.edgewidth Or td.PressedY >= view.Height - Main.edgewidth  Then Main.resizing = True
	Main.lxpos = td.PressedX + view.Left
	Main.lypos = td.PressedY + view.Top
End Sub
Private Sub pnl_MouseReleased (EventData As MouseEvent)
	Main.panepressed = False
	Main.resizing = False
	Main.snap_to_grid
End Sub
Private Sub pnl_MouseMoved (EventData As MouseEvent)
	Main.panepressed = True
	Dim view As B4XView = Sender
	Dim rightsizing As Int = view.Width - Main.edgewidth
	Dim downsizing As Int = view.Height - Main.edgewidth
	Dim leftsizing As Int = Main.edgewidth
	Dim topsizing As Int = Main.edgewidth
	If EventData.X > rightsizing Or EventData.Y > downsizing Or EventData.X < leftsizing Or EventData.Y < topsizing Then
		view.As(Pane).MouseCursor = fx.Cursors.OPEN_HAND
		CSSUtils.SetBorder(view,10,fx.Colors.Blue,0)
	Else
		view.As(Pane).MouseCursor = fx.Cursors.MOVE
		Main.set_border(view)
	End If
End Sub
